seo:
  title: GitLab plugins for JetBrains and Neovim now available in Beta
  description: >-
    GitLab plugins for JetBrains IDEs and Neovim are now available in Beta,
    bringing GitLab Duo Code Suggestions to more software development
    environments.
  ogTitle: GitLab plugins for JetBrains and Neovim now available in Beta
  ogDescription: >-
    GitLab plugins for JetBrains IDEs and Neovim are now available in Beta,
    bringing GitLab Duo Code Suggestions to more software development
    environments.
  noIndex: false
  ogImage: images/blog/hero-images/ai-experiment-stars.png
  ogUrl: https://about.gitlab.com/blog/gitlab-jetbrains-neovim-plugins
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/gitlab-jetbrains-neovim-plugins
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "GitLab plugins for JetBrains and Neovim now available in Beta",
            "author": [{"@type":"Person","name":"Kai Armstrong"}],
            "datePublished": "2023-07-25",
          }

content:
  title: GitLab plugins for JetBrains and Neovim now available in Beta
  description: >-
    GitLab plugins for JetBrains IDEs and Neovim are now available in Beta,
    bringing GitLab Duo Code Suggestions to more software development
    environments.
  authors:
    - Kai Armstrong
  heroImage: images/blog/hero-images/ai-experiment-stars.png
  date: '2023-07-25'
  body: >


    _This blog post is the latest in an ongoing series about GitLab's journey to
    [build and integrate AI/ML into our DevSecOps
    platform](/blog/2023/04/24/ai-ml-in-devsecops-series/). Start with the first
    blog post: [What the ML is up with DevSecOps and
    AI?](/blog/2023/03/16/what-the-ml-ai/). Throughout the series, we'll feature
    blogs from our product, engineering, and UX teams to showcase how we're
    infusing AI/ML into GitLab._


    In June, we shared our plans to [extend AI-powered code
    suggestions](/blog/2023/06/01/extending-code-suggestions/) to more IDEs,
    thereby continuing to help enhance developer productivity. A few weeks ago,
    we [announced](/blog/2023/06/29/gitlab-visual-studio-extension/) the
    availability of our [extension for Visual
    Studio](https://marketplace.visualstudio.com/items?itemName=GitLab.GitLabExtensionForVisualStudio).
    Now, we're adding support for JetBrains and Neovim with official plugins to
    further extend the reach of GitLab Duo Code Suggestions and help enhance
    developer productivity across even more development environments.


    These new GitLab plugins for both JetBrains and Neovim support [GitLab
    Duo](https://about.gitlab.com/gitlab-duo/) Code Suggestions for both [GitLab
    SaaS](https://docs.gitlab.com/ee/user/project/repository/code_suggestions.html#enable-code-suggestions-on-gitlab-saas)
    and [GitLab
    self-managed](https://docs.gitlab.com/ee/user/project/repository/code_suggestions.html#enable-code-suggestions-on-self-managed-gitlab).


    ## GitLab for JetBrains IDEs

    You can download the GitLab for JetBrains plugin from the [JetBrains Plugin
    Marketplace](https://plugins.jetbrains.com/plugin/22325-gitlab) or from
    directly within your IDE by visiting `Settings` -> `Plugins` and then
    searching for `GitLab`. Once you've installed the plugin, follow the [setup
    instructions](https://gitlab.com/gitlab-org/editor-extensions/gitlab-jetbrains-plugin#setup)
    to configure authentication and get started.


    ![JetBrains GitLab Duo Code Suggestions
    Settings](https://about.gitlab.com/images/blogimages/jetbrains-code-suggestions-settings.png)


    You can verify if the extension is connected and working by checking the
    status bar icon. If everything looks good, you're ready to start receiving
    code suggestions as you work. Just start typing and GitLab Duo will
    automatically provide you suggestions inline. Press `Tab` to accept the
    suggestions or keep typing to receive new suggestions.


    ![JetBrains GitLab Duo Code
    Suggestions](https://about.gitlab.com/images/blogimages/jetbrains-code-suggestions-ghost-text.png)


    We look forward to hearing from you about this initial release! You can
    provide feedback or report any issues you're having in our [feedback
    issue](https://gitlab.com/gitlab-org/editor-extensions/gitlab-jetbrains-plugin/-/issues/38).


    ## GitLab for Neovim

    The [GitLab for Neovim
    plugin](https://gitlab.com/gitlab-org/editor-extensions/gitlab.vim) can be
    found on GitLab and you can [follow the instructions to get
    started](https://gitlab.com/gitlab-org/editor-extensions/gitlab.vim#getting-started).
    Once you've downloaded the plugin, there are [configuration
    options](https://gitlab.com/gitlab-org/editor-extensions/gitlab.vim#configuration)
    available to help customize your experience.


    Once you've configured the plugin you'll be able to receive suggestions
    directly within the UI. Check out our demo video below to learn more about
    the plugin.


    <!-- blank line -->

    <figure class="video_container">
      <iframe src="https://www.youtube-nocookie.com/embed/PRSPQvbFquU" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>

    <!-- blank line -->


    We're continuing to iterate on our Neovim plugin. You can provide feedback
    or report any issues you're having in our [feedback
    issue](https://gitlab.com/gitlab-org/editor-extensions/gitlab.vim/-/issues/22).


    ## Iterating on AI/ML features

    These new additions to our family of editor extensions join our existing
    extensions for [Visual
    Studio](https://marketplace.visualstudio.com/items?itemName=GitLab.GitLabExtensionForVisualStudio)
    and [Visual Studio
    Code](https://marketplace.visualstudio.com/items?itemName=GitLab.gitlab-workflow).
    We plan to continue iterating to make the GitLab Duo Code Suggestions
    experience even better.


    We're also continuing our work on a [GitLab Language Server for Code
    Suggestions](https://gitlab.com/gitlab-org/editor-extensions/gitlab-language-server-for-code-suggestions),
    which will allow us to standardize and iterate faster on our IDE extensions,
    and will enable users of IDEs and code editors to use GitLab Duo Code
    suggestions even if an official extension isn't available. We look forward
    to providing more documentation and working with the community on this
    project in the future.


    These efforts are just the start of how we're incorporating GitLab Duo
    capabilities throughout the [software development
    lifecycle](/blog/2023/03/16/what-the-ml-ai/) to help GitLab users become
    more efficient and effective. As we continue to identify painful and
    time-consuming tasks that are ideal for AI-assisted features, we'll continue
    to share updates, tutorials, and demos through this blog series.


    Checkout GitLabs 16.2 release to see what's new with [Code
    Suggestions](https://about.gitlab.com/releases/2023/07/22/gitlab-16-2-released/#gitlab-duo-code-suggestions-improvements-powered-by-google-ai).


    Interested in using GitLab Duo features? [Join our
    waitlist](https://forms.gle/9eeUkPJauKsbLaoz5) and we'll keep you updated.


    Continue reading our "[AI/ML in
    DevSecOps](/blog/2023/04/24/ai-ml-in-devsecops-series/)" series.


    _Disclaimer: This blog contains information related to upcoming products,
    features, and functionality. It is important to note that the information in
    this blog post is for informational purposes only. Please do not rely on
    this information for purchasing or planning purposes. As with all projects,
    the items mentioned in this blog and linked pages are subject to change or
    delay. The development, release, and timing of any products, features, or
    functionality remain at the sole discretion of GitLab._
  category: AI/ML
  tags:
    - DevSecOps
    - product
    - features
    - AI/ML
config:
  slug: gitlab-jetbrains-neovim-plugins
  featured: false
  template: BlogPost
